module.exports = {
    data(){
        return {
            //设置默认的分享参数
            share:{
                title:'隆熹晋升平台',
                path:'',
                imageUrl:'',
                desc:'',
                content:''
            }
        }
    },
	onShow() {
		// wx.hidShareMenu()
		// #ifdef MP
		wx.hideShareMenu({
			 menus: ['shareAppMessage', 'shareTimeline']
		})
		// #endif
		
	},
    onShareAppMessage(res) {
        return {
            title:this.share.title,
            path:this.share.path,
            imageUrl:this.share.imageUrl,
            desc:this.share.desc,
            content:this.share.content,
            success(res){
                uni.showToast({
                    title:'分享成功'
                })
            },
            fail(res){
                uni.showToast({
                    title:'分享失败',
                    icon:'none'
                })
            }
        }
    }
}